Summary: A network traffic monitoring tool.
Name: tcpdump
Version: 3.7.2
Release: 1tr
License: BSD
Group: Network/Monitoring
Source: http://www.tcpdump.org/release/tcpdump-%{version}.tar.gz
Patch0: tcpdump-3.6.2-man.patch
#Patch1: tcpdump-3.6.2-afsprinting.patch.bz2
BuildRoot: /var/tmp/%{name}-root
BuildRequires: kernel-headers >= 2.2.0
Requires: kernel >= 2.2.0

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%setup -q
%patch0 -p0
#%patch1 -p1 -b .afs-secure

%build
%configure

#libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS -DIP_MAX_MEMBERSHIPS=20 -I/usr/include/pcap" \
	./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-ipv6


make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{share/man/man8,sbin}

install -m755 -s tcpdump ${RPM_BUILD_ROOT}%{_prefix}/sbin
install -m644 tcpdump.1 ${RPM_BUILD_ROOT}%{_prefix}/share/man/man8/tcpdump.8


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc	README CHANGES
%{_prefix}/sbin/tcpdump
%{_prefix}/share/man/man8/tcpdump.8*


%changelog
* Fri Feb 28 2003 Erlend Midttun <erlendbm@trustix.com> 3.7.2-1tr
- Updated to fix sec hole in the ISAKMP parsing code.

* Thu Dec 12 2002 Erlend Midttun <erlendbm@trustix.com> 3.7.1-2tr
- Rebuilt for TSL 1.X.

* Tue Jul 23 2002 Christian H. Toldnes <christht@trustix.com> 3.7.1-1ct
- New upstream version for 2.0

* Fri May 24 2002 Christian H. Toldnes <christht@trustix.com>
- Applied securitypatch for the AFS RPC decoding functions.

* Wed Jun 13 2001 Oystein Viggen <oysteivi@trustix.com>
- Hacked around problems with /usr/include/pcap

* Thu Mar  8 2001 Alexander Reelsen <ar@trustix.com>
- Updated to 3.6.2
- Splitted off libpcap and arpwatch into seperate packages

* Mon Nov 27 2000 Oystein Viggen <oysteivi@trustix.com>
- Integrated a sprintf -> snprintf monster patch from freebsd fixing loads of
  potential security holes.

* Thu Oct 12 2000 Erlend Midttun <erlendbm@trustix.com>
- Added patch from Jarno Huuskonen to fix insecure tmp handling

* Tue Apr 11 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages to comply with FHS

* Thu Feb 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Compile shared libpcap with -fPIC (Bug #6342)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- remove sparc64 SIOCGIFNAME hack, not needed with (at least) kernel 2.2.12-40.
- upgrade to ANK ss991030 snapshot with pcap magic fix (#6773).
- add getprotobyname lookup (#6725).
- getservbyname port lookup appears functional (#7569).
- remove uid 2090 backdoor (sorry Dave) (#7116).

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fox the pcap.h header

* Fri Aug 20 1999 Jeff Johnson <jbj@redhat.com>
- prevent segfault on obscure spoofed ip header (#4634).

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- add defattr to arpwatch (#4591).

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sun Aug  8 1999 Jeff Johnson <jbj@redhat.com>
- add -DWORDS_BIGINDIAN to tcpdump compile on sparc sparc61.

* Tue Aug  3 1999 Jeff Johnson <jbj@redhat.com>
- include A. Kuznetsov's patches to libpcap/tcpdump.
- added arpsnmp to package (#3258).
- arp2ethers written for different of awk (#4326).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- autoconf fixes for arm

* Tue Sep 29 1998 Jeff Johnson <jbj@redhat.com>
- libpcap description typo.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix arpwatch summary line.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- enable arpwatch

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- separate package for libpcap.
- update tcpdump to 3.4, libpcap to 0.4.
- added arpwatch (but disabled for now)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May  2 1998 Alan Cox <alan@rehat.com>
- Added the SACK printing fix so you can dump Linux 2.1+.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to release 3.4a5
- uses a buildroot and %attr 

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
